Building Errors

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Building Errors

rvWinkle
I have errors while building ActiveMQ-5.15.9 from sources from github.
I'm using maven 3.6.0
My WARNINGS and ERRORS (all mvn output in an attached file )
[INFO] Scanning for projects...
[WARNING]
[WARNING] Some problems were encountered while building the effective model
for org.apache.activemq:activemq-osgi:bundle:5.15.9
[WARNING] 'dependencies.dependency.exclusions.exclusion.groupId' for
org.apache.activemq:activemq-web:jar is missing. @
org.apache.activemq:activemq-osgi:[unknown-version],
/home/nikolay/TMP/activemq-activemq-5.15.9
(1)/activemq-activemq-5.15.9/activemq-osgi/pom.xml, line 166, column 18
[WARNING]
[WARNING] It is highly recommended to fix these problems because they
threaten the stability of your build.
[WARNING]
[WARNING] For this reason, future Maven versions might no longer support
building such malformed projects.
[WARNING]
........................................

[INFO] --- maven-compiler-plugin:3.3:compile (default-compile) @
activemq-client ---
[INFO] Changes detected - recompiling the module!
[INFO] Compiling 712 source files to
/home/nikolay/TMP/activemq-activemq-5.15.9
(1)/activemq-activemq-5.15.9/activemq-client/target/classes
[WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
(1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/udp/UdpTransportServer.java:[35,46]
org.apache.activemq.transport.reliable.ReliableTransport in
org.apache.activemq.transport.reliable has been deprecated
[WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
(1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/udp/UdpTransportFactory.java:[35,46]
org.apache.activemq.transport.reliable.ReliableTransport in
org.apache.activemq.transport.reliable has been deprecated
[WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
(1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/multicast/MulticastTransportFactory.java:[25,41]
org.apache.activemq.transport.udp.UdpTransportFactory in
org.apache.activemq.transport.udp has been deprecated
[WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
(1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/reliable/ReplayStrategy.java:[38,30]
org.apache.activemq.transport.reliable.ReliableTransport in
org.apache.activemq.transport.reliable has been deprecated
[WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
(1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/reliable/ReplayStrategy.java:[40,27]
org.apache.activemq.transport.reliable.ReliableTransport in
org.apache.activemq.transport.reliable has been deprecated
[WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
(1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/reliable/ExceptionIfDroppedReplayStrategy.java:[38,37]
org.apache.activemq.transport.reliable.ReliableTransport in
org.apache.activemq.transport.reliable has been deprecated
[WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
(1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/reliable/ExceptionIfDroppedReplayStrategy.java:[49,34]
org.apache.activemq.transport.reliable.ReliableTransport in
org.apache.activemq.transport.reliable has been deprecated
[WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
(1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/reliable/DefaultReplayStrategy.java:[38,37]
org.apache.activemq.transport.reliable.ReliableTransport in
org.apache.activemq.transport.reliable has been deprecated
[WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
(1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/reliable/DefaultReplayStrategy.java:[53,34]
org.apache.activemq.transport.reliable.ReliableTransport in
org.apache.activemq.transport.reliable has been deprecated
[WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
(1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/multicast/MulticastTransportFactory.java:[33,48]
org.apache.activemq.transport.udp.UdpTransportFactory in
org.apache.activemq.transport.udp has been deprecated
........................................................................................................
[INFO] --- maven-bundle-plugin:2.3.7:bundle (default-bundle) @
activemq-client ---
java.lang.ArrayIndexOutOfBoundsException: 18
        at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:448)
        at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:369)
        at aQute.lib.osgi.Clazz.parseClassFileWithCollector(Clazz.java:359)
        at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:349)
        at aQute.lib.osgi.Analyzer.analyzeJar(Analyzer.java:1725)
        at aQute.lib.osgi.Analyzer.analyzeBundleClasspath(Analyzer.java:1595)
        at aQute.lib.osgi.Analyzer.analyze(Analyzer.java:124)
        at aQute.lib.osgi.Builder.analyze(Builder.java:306)
        at aQute.lib.osgi.Analyzer.calcManifest(Analyzer.java:301)
        at aQute.lib.osgi.Builder.build(Builder.java:73)
        at
org.apache.felix.bundleplugin.BundlePlugin.buildOSGiBundle(BundlePlugin.java:547)
        at
org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:347)
        at
org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:264)
        at
org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:255)
        at
org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:137)
        at
org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:210)
        at
org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:156)
        at
org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:148)
        at
org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:117)
        at
org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:81)
        at
org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build(SingleThreadedBuilder.java:56)
        at
org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:128)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:305)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:192)
        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:105)
        at org.apache.maven.cli.MavenCli.execute(MavenCli.java:956)
        at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:288)
        at org.apache.maven.cli.MavenCli.main(MavenCli.java:192)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:498)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:289)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:229)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:415)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:356)
[ERROR] Bundle org.apache.activemq:activemq-client:bundle:5.15.9 :
Exception: 18
[ERROR] Bundle org.apache.activemq:activemq-client:bundle:5.15.9 : Invalid
class file: org/apache/activemq/filter/DestinationMap.class

AND MORE
please see attached file.
activeMQ-build-errors.txt
<http://activemq.2283324.n4.nabble.com/file/t379470/activeMQ-build-errors.txt>  




--
Sent from: http://activemq.2283324.n4.nabble.com/ActiveMQ-Dev-f2368404.html
Reply | Threaded
Open this post in threaded view
|

Re: Building Errors

christopher.l.shannon
The build failing has nothing to do with those errors/warnings by the
bundle plugin (although they should be fixed).  The build will complete
fine with those errors.

Your real error is you ran out of memory. At the bottom of your build it
says: [ERROR] GC overhead limit exceeded -> [Help 1]

You need to increase the heap space given to Maven.

On Thu, Apr 4, 2019 at 5:10 AM rvWinkle <[hidden email]> wrote:

> I have errors while building ActiveMQ-5.15.9 from sources from github.
> I'm using maven 3.6.0
> My WARNINGS and ERRORS (all mvn output in an attached file )
> [INFO] Scanning for projects...
> [WARNING]
> [WARNING] Some problems were encountered while building the effective model
> for org.apache.activemq:activemq-osgi:bundle:5.15.9
> [WARNING] 'dependencies.dependency.exclusions.exclusion.groupId' for
> org.apache.activemq:activemq-web:jar is missing. @
> org.apache.activemq:activemq-osgi:[unknown-version],
> /home/nikolay/TMP/activemq-activemq-5.15.9
> (1)/activemq-activemq-5.15.9/activemq-osgi/pom.xml, line 166, column 18
> [WARNING]
> [WARNING] It is highly recommended to fix these problems because they
> threaten the stability of your build.
> [WARNING]
> [WARNING] For this reason, future Maven versions might no longer support
> building such malformed projects.
> [WARNING]
> ........................................
>
> [INFO] --- maven-compiler-plugin:3.3:compile (default-compile) @
> activemq-client ---
> [INFO] Changes detected - recompiling the module!
> [INFO] Compiling 712 source files to
> /home/nikolay/TMP/activemq-activemq-5.15.9
> (1)/activemq-activemq-5.15.9/activemq-client/target/classes
> [WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
>
> (1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/udp/UdpTransportServer.java:[35,46]
> org.apache.activemq.transport.reliable.ReliableTransport in
> org.apache.activemq.transport.reliable has been deprecated
> [WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
>
> (1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/udp/UdpTransportFactory.java:[35,46]
> org.apache.activemq.transport.reliable.ReliableTransport in
> org.apache.activemq.transport.reliable has been deprecated
> [WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
>
> (1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/multicast/MulticastTransportFactory.java:[25,41]
> org.apache.activemq.transport.udp.UdpTransportFactory in
> org.apache.activemq.transport.udp has been deprecated
> [WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
>
> (1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/reliable/ReplayStrategy.java:[38,30]
> org.apache.activemq.transport.reliable.ReliableTransport in
> org.apache.activemq.transport.reliable has been deprecated
> [WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
>
> (1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/reliable/ReplayStrategy.java:[40,27]
> org.apache.activemq.transport.reliable.ReliableTransport in
> org.apache.activemq.transport.reliable has been deprecated
> [WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
>
> (1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/reliable/ExceptionIfDroppedReplayStrategy.java:[38,37]
> org.apache.activemq.transport.reliable.ReliableTransport in
> org.apache.activemq.transport.reliable has been deprecated
> [WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
>
> (1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/reliable/ExceptionIfDroppedReplayStrategy.java:[49,34]
> org.apache.activemq.transport.reliable.ReliableTransport in
> org.apache.activemq.transport.reliable has been deprecated
> [WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
>
> (1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/reliable/DefaultReplayStrategy.java:[38,37]
> org.apache.activemq.transport.reliable.ReliableTransport in
> org.apache.activemq.transport.reliable has been deprecated
> [WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
>
> (1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/reliable/DefaultReplayStrategy.java:[53,34]
> org.apache.activemq.transport.reliable.ReliableTransport in
> org.apache.activemq.transport.reliable has been deprecated
> [WARNING] /home/nikolay/TMP/activemq-activemq-5.15.9
>
> (1)/activemq-activemq-5.15.9/activemq-client/src/main/java/org/apache/activemq/transport/multicast/MulticastTransportFactory.java:[33,48]
> org.apache.activemq.transport.udp.UdpTransportFactory in
> org.apache.activemq.transport.udp has been deprecated
>
> ........................................................................................................
> [INFO] --- maven-bundle-plugin:2.3.7:bundle (default-bundle) @
> activemq-client ---
> java.lang.ArrayIndexOutOfBoundsException: 18
>         at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:448)
>         at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:369)
>         at aQute.lib.osgi.Clazz.parseClassFileWithCollector(Clazz.java:359)
>         at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:349)
>         at aQute.lib.osgi.Analyzer.analyzeJar(Analyzer.java:1725)
>         at
> aQute.lib.osgi.Analyzer.analyzeBundleClasspath(Analyzer.java:1595)
>         at aQute.lib.osgi.Analyzer.analyze(Analyzer.java:124)
>         at aQute.lib.osgi.Builder.analyze(Builder.java:306)
>         at aQute.lib.osgi.Analyzer.calcManifest(Analyzer.java:301)
>         at aQute.lib.osgi.Builder.build(Builder.java:73)
>         at
>
> org.apache.felix.bundleplugin.BundlePlugin.buildOSGiBundle(BundlePlugin.java:547)
>         at
> org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:347)
>         at
> org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:264)
>         at
> org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:255)
>         at
>
> org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:137)
>         at
>
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:210)
>         at
>
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:156)
>         at
>
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:148)
>         at
>
> org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:117)
>         at
>
> org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:81)
>         at
>
> org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build(SingleThreadedBuilder.java:56)
>         at
>
> org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:128)
>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:305)
>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:192)
>         at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:105)
>         at org.apache.maven.cli.MavenCli.execute(MavenCli.java:956)
>         at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:288)
>         at org.apache.maven.cli.MavenCli.main(MavenCli.java:192)
>         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>         at
>
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
>         at
>
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>         at java.lang.reflect.Method.invoke(Method.java:498)
>         at
>
> org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:289)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:229)
>         at
>
> org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:415)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:356)
> [ERROR] Bundle org.apache.activemq:activemq-client:bundle:5.15.9 :
> Exception: 18
> [ERROR] Bundle org.apache.activemq:activemq-client:bundle:5.15.9 : Invalid
> class file: org/apache/activemq/filter/DestinationMap.class
>
> AND MORE
> please see attached file.
> activeMQ-build-errors.txt
> <
> http://activemq.2283324.n4.nabble.com/file/t379470/activeMQ-build-errors.txt>
>
>
>
>
>
> --
> Sent from:
> http://activemq.2283324.n4.nabble.com/ActiveMQ-Dev-f2368404.html
>
Reply | Threaded
Open this post in threaded view
|

Re: Building Errors

rvWinkle
Thanks a lot. I have a successful build now. But what should I do with those
errors and warnings? What I got is a workable system?



--
Sent from: http://activemq.2283324.n4.nabble.com/ActiveMQ-Dev-f2368404.html
Reply | Threaded
Open this post in threaded view
|

Re: Building Errors

christopher.l.shannon
You don't need to worry about the errors if it built successfully so you
are good to go. The plugin needs to be upgraded/fixed but it doesn't affect
the actual build. It should be fixed for 5.16.0 as the maven plugins will
be updated for that in order to hopefully support JDK 11.

On Thu, Apr 4, 2019 at 7:13 AM rvWinkle <[hidden email]> wrote:

> Thanks a lot. I have a successful build now. But what should I do with
> those
> errors and warnings? What I got is a workable system?
>
>
>
> --
> Sent from:
> http://activemq.2283324.n4.nabble.com/ActiveMQ-Dev-f2368404.html
>
Reply | Threaded
Open this post in threaded view
|

Re: Building Errors

goutamknit
Hi
I am trying to build ActiveMQ 5.15.10
I too get lot of Error and warning, but at the end build is successful.
java.lang.ArrayIndexOutOfBoundsException: 18
        at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:448)
        at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:369)
        at aQute.lib.osgi.Clazz.parseClassFileWithCollector(Clazz.java:359)
        at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:349)
        at aQute.lib.osgi.Analyzer.analyzeJar(Analyzer.java:1725)
        at
aQute.lib.osgi.Analyzer.analyzeBundleClasspath(Analyzer.java:1595)
        at aQute.lib.osgi.Analyzer.analyze(Analyzer.java:124)
        at aQute.lib.osgi.Builder.analyze(Builder.java:306)
        at aQute.lib.osgi.Analyzer.calcManifest(Analyzer.java:301)
        at aQute.lib.osgi.Builder.build(Builder.java:73)
        at
org.apache.felix.bundleplugin.BundlePlugin.buildOSGiBundle(BundlePlugin.java:547)
        at
org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:347)
        at
org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:264)
        at
org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:255)
        at
org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:137)
        at
org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:210)
        at
org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:156)
        at
org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:148)
        at
org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:117)
        at
org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:81)
        at
org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build(SingleThreadedBuilder.java:56)
        at
org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:128)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:305)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:192)
        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:105)
        at org.apache.maven.cli.MavenCli.execute(MavenCli.java:957)
        at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:289)
        at org.apache.maven.cli.MavenCli.main(MavenCli.java:193)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:497)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:282)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:225)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:406)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:347)

I googled it and i found issue was with maven-bundle-plugin-version - 2.3.7.
So i tried to build with maven-bundle-plugin-version 2.4.0 or higher.
But i found following status and this is due to fact that Generic JMS Pool
jar is empty.
log2.txt <http://activemq.2283324.n4.nabble.com/file/t379735/log2.txt>  

INFO] ActiveMQ ........................................... SUCCESS [  5.227
s]
[INFO] ActiveMQ :: Openwire Generator ..................... SUCCESS [  7.212
s]
[INFO] ActiveMQ :: Client ................................. SUCCESS [ 39.985
s]
[INFO] ActiveMQ :: Openwire Legacy Support ................ SUCCESS [ 14.285
s]
[INFO] ActiveMQ :: JAAS ................................... SUCCESS [  9.044
s]
[INFO] ActiveMQ :: Broker ................................. SUCCESS [ 20.703
s]
[INFO] ActiveMQ :: KahaDB Store ........................... SUCCESS [ 13.532
s]
[INFO] ActiveMQ :: STOMP Protocol ......................... SUCCESS [  8.395
s]
[INFO] ActiveMQ :: MQTT Protocol .......................... SUCCESS [  8.331
s]
[INFO] ActiveMQ :: JDBC Store ............................. SUCCESS [  6.715
s]
[INFO] ActiveMQ :: LevelDB Store .......................... SUCCESS [01:42
min]
[INFO] ActiveMQ :: Generic JMS Pool ....................... SUCCESS [  5.626
s]
[INFO] ActiveMQ :: Pool ................................... FAILURE [  1.457
s]
[INFO] ActiveMQ :: RA ..................................... SKIPPED
[INFO] ActiveMQ :: Spring ................................. SKIPPED

Please help to resolve this build error.

Thanks
Goutam Giri



--
Sent from: http://activemq.2283324.n4.nabble.com/ActiveMQ-Dev-f2368404.html
Reply | Threaded
Open this post in threaded view
|

Re: Building Errors

jbonofre
Hi,

I already fix it for 5.16.0 (it's on a local branch) upgrading to
maven-bundle-plugin 4.2.1.

I didn't upgrade on the 5.15.x branch as it requires changes on the OSGi
headers.

I will push the PR soon.

Regards
JB

On 07/12/2019 19:48, goutamknit wrote:

> Hi
> I am trying to build ActiveMQ 5.15.10
> I too get lot of Error and warning, but at the end build is successful.
> java.lang.ArrayIndexOutOfBoundsException: 18
>         at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:448)
>         at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:369)
>         at aQute.lib.osgi.Clazz.parseClassFileWithCollector(Clazz.java:359)
>         at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:349)
>         at aQute.lib.osgi.Analyzer.analyzeJar(Analyzer.java:1725)
>         at
> aQute.lib.osgi.Analyzer.analyzeBundleClasspath(Analyzer.java:1595)
>         at aQute.lib.osgi.Analyzer.analyze(Analyzer.java:124)
>         at aQute.lib.osgi.Builder.analyze(Builder.java:306)
>         at aQute.lib.osgi.Analyzer.calcManifest(Analyzer.java:301)
>         at aQute.lib.osgi.Builder.build(Builder.java:73)
>         at
> org.apache.felix.bundleplugin.BundlePlugin.buildOSGiBundle(BundlePlugin.java:547)
>         at
> org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:347)
>         at
> org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:264)
>         at
> org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:255)
>         at
> org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:137)
>         at
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:210)
>         at
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:156)
>         at
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:148)
>         at
> org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:117)
>         at
> org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:81)
>         at
> org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build(SingleThreadedBuilder.java:56)
>         at
> org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:128)
>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:305)
>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:192)
>         at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:105)
>         at org.apache.maven.cli.MavenCli.execute(MavenCli.java:957)
>         at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:289)
>         at org.apache.maven.cli.MavenCli.main(MavenCli.java:193)
>         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>         at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
>         at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>         at java.lang.reflect.Method.invoke(Method.java:497)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:282)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:225)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:406)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:347)
>
> I googled it and i found issue was with maven-bundle-plugin-version - 2.3.7.
> So i tried to build with maven-bundle-plugin-version 2.4.0 or higher.
> But i found following status and this is due to fact that Generic JMS Pool
> jar is empty.
> log2.txt <http://activemq.2283324.n4.nabble.com/file/t379735/log2.txt>  
>
> INFO] ActiveMQ ........................................... SUCCESS [  5.227
> s]
> [INFO] ActiveMQ :: Openwire Generator ..................... SUCCESS [  7.212
> s]
> [INFO] ActiveMQ :: Client ................................. SUCCESS [ 39.985
> s]
> [INFO] ActiveMQ :: Openwire Legacy Support ................ SUCCESS [ 14.285
> s]
> [INFO] ActiveMQ :: JAAS ................................... SUCCESS [  9.044
> s]
> [INFO] ActiveMQ :: Broker ................................. SUCCESS [ 20.703
> s]
> [INFO] ActiveMQ :: KahaDB Store ........................... SUCCESS [ 13.532
> s]
> [INFO] ActiveMQ :: STOMP Protocol ......................... SUCCESS [  8.395
> s]
> [INFO] ActiveMQ :: MQTT Protocol .......................... SUCCESS [  8.331
> s]
> [INFO] ActiveMQ :: JDBC Store ............................. SUCCESS [  6.715
> s]
> [INFO] ActiveMQ :: LevelDB Store .......................... SUCCESS [01:42
> min]
> [INFO] ActiveMQ :: Generic JMS Pool ....................... SUCCESS [  5.626
> s]
> [INFO] ActiveMQ :: Pool ................................... FAILURE [  1.457
> s]
> [INFO] ActiveMQ :: RA ..................................... SKIPPED
> [INFO] ActiveMQ :: Spring ................................. SKIPPED
>
> Please help to resolve this build error.
>
> Thanks
> Goutam Giri
>
>
>
> --
> Sent from: http://activemq.2283324.n4.nabble.com/ActiveMQ-Dev-f2368404.html
>

--
Jean-Baptiste Onofré
[hidden email]
http://blog.nanthrax.net
Talend - http://www.talend.com
Reply | Threaded
Open this post in threaded view
|

Re: Building Errors

goutamknit
Hi Jean,
Thank you for the update. Is there any time line when we can expect release
of 5.16.0.
Also if possible can you share the commit id about the fix in 5.16.0
version.

Thanks
GG



--
Sent from: http://activemq.2283324.n4.nabble.com/ActiveMQ-Dev-f2368404.html